org.gdal.ogr

## Class GeomFieldDefn

- java.lang.Object
- - org.gdal.ogr.GeomFieldDefn

-     public class GeomFieldDefn
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeomFieldDefn()`
    `GeomFieldDefn(String name_null_ok)`
    `GeomFieldDefn(String name_null_ok, int field_type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `boolean` | `equals(Object obj)`
    `int` | `GetFieldType()`
    `String` | `GetName()`
    `String` | `GetNameRef()`
    `SpatialReference` | `GetSpatialRef()`
    `int` | `hashCode()`
    `int` | `IsIgnored()`
    `int` | `IsNullable()`
    `void` | `SetIgnored(int bIgnored)`
    `void` | `SetName(String name)`
    `void` | `SetNullable(int bNullable)`
    `void` | `SetSpatialRef(SpatialReference srs)`
    `void` | `SetType(int type)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeomFieldDefn

          public GeomFieldDefn(String name_null_ok,
                               int field_type)

    - #### GeomFieldDefn

          public GeomFieldDefn(String name_null_ok)

    - #### GeomFieldDefn

          public GeomFieldDefn()

  - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### GetName

          public String GetName()

    - #### GetNameRef

          public String GetNameRef()

    - #### SetName

          public void SetName(String name)

    - #### GetFieldType

          public int GetFieldType()

    - #### SetType

          public void SetType(int type)

    - #### GetSpatialRef

          public SpatialReference GetSpatialRef()

    - #### SetSpatialRef

          public void SetSpatialRef(SpatialReference srs)

    - #### IsIgnored

          public int IsIgnored()

    - #### SetIgnored

          public void SetIgnored(int bIgnored)

    - #### IsNullable

          public int IsNullable()

    - #### SetNullable

          public void SetNullable(int bNullable)